summaryrefslogtreecommitdiffstats
path: root/postinstall.sh
diff options
context:
space:
mode:
authorKyle K <kylek389@gmail.com>2020-12-03 17:28:58 -0600
committerKyle K <kylek389@gmail.com>2020-12-03 17:28:58 -0600
commit8775840ca5d99ab74125631b583e0c004da31caf (patch)
treecd673933d40765bbef54b760212b740073b199d6 /postinstall.sh
parent4e5831c56568d4c6025b4dc80131d29331c33bb9 (diff)
downloadgentoox-8775840ca5d99ab74125631b583e0c004da31caf.tar.gz
gentoox-8775840ca5d99ab74125631b583e0c004da31caf.tar.bz2
gentoox-8775840ca5d99ab74125631b583e0c004da31caf.zip
drop python 3.6 and 3.7 now that it is possible
Diffstat (limited to 'postinstall.sh')
-rwxr-xr-xpostinstall.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/postinstall.sh b/postinstall.sh
index 30b51dc..5b64bf2 100755
--- a/postinstall.sh
+++ b/postinstall.sh
@@ -5,6 +5,20 @@
sleep 15
+kdialog --yesno "Would you like to proceed with running postinstall.sh script to apply GentooX theme?
+An internet connection is required to pull necessary theme dependency from https://store.kde.org
+Plese ensure network connectivity and logout/login for theme to properly apply after script finishes.
+
+All modifications can be removed by removing dotfiles with rm -rf ~/.* to go back to vanilla KDE theme
+
+Continue?"
+
+if [ "$?" = 1 ]; then
+ kdialog --sorry "exiting..."
+ exit 1
+fi;
+
+
#ln -s /usr/share/applications/audacious.desktop ~/Desktop/
ln -s /usr/share/applications/mpv.desktop ~/Desktop/
ln -s /usr/share/applications/steam.desktop ~/Desktop/